设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

返回列表
查看: 97|回复: 5

[编程申请] 如何实现块对块替换?

[复制链接]

签到天数: 93 天

连续签到: 1 天

[LV.6]常住居民II

已领礼包: 158个

财富等级: 日进斗金

发表于 2017-7-17 14:53:07 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
选取要替换的块,替换成第二次选择的源块。求源码。
2b01a50a5946a4eb5f4af47654d709be.jpg



上一篇:沿道路布置路灯
下一篇:我的CAD2016中文版加载最新晓东工具箱后,左侧常用命令不显示为什么
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
百度谷歌雅虎搜狗搜搜有道360奇虎

签到天数: 392 天

连续签到: 3 天

[LV.9]以坛为家II

已领礼包: 20个

财富等级: 恭喜发财

发表于 2017-7-17 15:45:17 | 显示全部楼层
(command ".insert" "ab=cd")

ab -- 原块名
cd -- 替换后的块名
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 1 反对 0

使用道具 举报

签到天数: 93 天

连续签到: 1 天

[LV.6]常住居民II

已领礼包: 158个

财富等级: 日进斗金

 楼主| 发表于 2017-7-18 07:47:15 | 显示全部楼层

我是初学的,我这样写对吗?
(defun c:fdfd (/ ss ss1 ent ent1 ad bd)
  (setvar "cmdecho" 0)
  (setq ss (car (entsel "\n选择更换块:")))
  (setq ent (entget ss))
  (setq ad (cdr (assoc 2 ent)))
  (setq ss1 (car (entsel "\n选择源块:")))
  (setq ent1 (entget ss1))
  (setq bd (cdr (assoc 2 ent)))
  (command "_insert" "ad=bd")
  (princ))

写出来运行不对。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 36 天

连续签到: 2 天

[LV.5]常住居民I

已领礼包: 96个

财富等级: 招财进宝

发表于 2017-7-18 08:01:42 | 显示全部楼层
我看看先。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 299 天

连续签到: 1 天

[LV.8]以坛为家I

已领礼包: 394个

财富等级: 日进斗金

发表于 2017-7-18 08:11:23 | 显示全部楼层
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 452 天

连续签到: 1 天

[LV.9]以坛为家II

已领礼包: 1052个

财富等级: 财源广进

发表于 2017-7-18 11:07:56 | 显示全部楼层
这样试试
(defun c:fdfd (/ ss ss1 ent ent1 ad bd)
  (setvar "cmdecho" 0)
  (setq ss (car (entsel "\n选择更换块:")))
  (setq ent (entget ss))
  (setq ad (assoc 2 ent))
  (setq ss1 (car (entsel "\n选择源块:")))
  (setq ent1 (entget ss1))
  (setq bd (assoc 2 ent1))
(setq ent (subst bd  ad ent))
(entmod ent)
  (princ))
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|Archiver|手机版|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

辽公网安备 21040202000005号

GMT+8, 2018-2-24 12:24 , Processed in 0.581397 second(s), 82 queries , Gzip On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表